RDKit::Canon::canon_atom Class Reference

`#include <new_canon.h>`

## Public Member Functions

| canon_atom ()
| ~canon_atom ()

## Public Attributes

const Atom * | atom {nullptr}
int | index {-1}
unsigned int | degree {0}
unsigned int | totalNumHs {0}
bool | hasRingNbr {false}
bool | isRingStereoAtom {false}
int * | nbrIds {nullptr}
const std::string * | p_symbol
std::vector< int > | neighborNum
std::vector< int > | revistedNeighbors
std::vector< bondholder > | bonds

## Detailed Description

Definition at line 95 of file new_canon.h.

## Constructor & Destructor Documentation

## canon_atom()

RDKit::Canon::canon_atom::canon_atom | ( |  | ) |

inline

Definition at line 110 of file new_canon.h.

## ~canon_atom()

RDKit::Canon::canon_atom::~canon_atom | ( |  | ) |

inline

Definition at line 112 of file new_canon.h.

## Member Data Documentation

## atom

const Atom* RDKit::Canon::canon_atom::atom {nullptr}

Definition at line 97 of file new_canon.h.

## bonds

std::vector<bondholder> RDKit::Canon::canon_atom::bonds

Definition at line 108 of file new_canon.h.

## degree

unsigned int RDKit::Canon::canon_atom::degree {0}

Definition at line 99 of file new_canon.h.

Referenced by RDKit::Canon::BreakTies(), and RDKit::Canon::RefinePartitions().

## hasRingNbr

bool RDKit::Canon::canon_atom::hasRingNbr {false}

Definition at line 101 of file new_canon.h.

## index

int RDKit::Canon::canon_atom::index {-1}

Definition at line 98 of file new_canon.h.

Referenced by RDKit::Canon::BreakTies(), and RDKit::Canon::RefinePartitions().

## isRingStereoAtom

bool RDKit::Canon::canon_atom::isRingStereoAtom {false}

Definition at line 102 of file new_canon.h.

## nbrIds

int* RDKit::Canon::canon_atom::nbrIds {nullptr}

Definition at line 103 of file new_canon.h.

Referenced by RDKit::Canon::BreakTies(), and RDKit::Canon::RefinePartitions().

## neighborNum

std::vector<int> RDKit::Canon::canon_atom::neighborNum

Definition at line 106 of file new_canon.h.

## p_symbol

const std::string* RDKit::Canon::canon_atom::p_symbol

Initial value:
{
nullptr}

Definition at line 104 of file new_canon.h.

## revistedNeighbors

std::vector<int> RDKit::Canon::canon_atom::revistedNeighbors

Definition at line 107 of file new_canon.h.

## totalNumHs

unsigned int RDKit::Canon::canon_atom::totalNumHs {0}

Definition at line 100 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h